(function ( $ ) {
 
    $.fn.mynewtabs = function( options ) {
 
        $this = $(this);
 
        // This is the easiest way to have default options.
        var settings = $.extend({
            // These are the defaults.
            color: "#5a531e",
            backgroundColor: "#409bbf "
        }, options );
 
        // Do your magic here!
        var div_in_ul = false;
        var viewportwidthG;
        if (typeof window.innerWidth != 'undefined')
	{
	     viewportwidthG = window.innerWidth;
	}
        
        // On pageload do:
        init();
        
        // Event: window is resized        
        $(window).resize(function(){		
            resizer();
        });
        
        
        
        
        /*=================================================*/
        /*         Functions init, resizer and helper      */
        /*=================================================*/
        function init()
        {
            if (viewportwidthG < 672)
            {
                // Find active li:
                var divdescription = $("div.descr");
                //$(".content-wrapper ul.list li.active").after('<li class="descr"><div class="div_in_ul">'+divdescription.html()+'</div></li>');
                $this.find("ul.list li.active").after('<li class="descr"><div class="div_in_ul">'+divdescription.html()+'</div></li>');
                divdescription.remove();
                div_in_ul = true;
            }
            else
            {
                // Voeg een wit blokje toe aan active li om de lelijke border te verwijderen!
                add_wit_blokje_to_active_li();
            }
        }
        
        function resizer()
        {
            var viewportwidth;
            var viewportheight;		  
            // the more standards compliant browsers (mozilla/netscape/opera/IE7) use window.innerWidth and window.innerHeight		  
            if (typeof window.innerWidth != 'undefined')
            {
                 viewportwidth = window.innerWidth,
                 viewportheight = window.innerHeight;
            }
            if ( viewportwidth >= 672 )
            {
                /* Voor brede schermen moet de beschrijving van de behandeling aan de rechterkant getoond worden */
                if (div_in_ul)
                {
                    var li = $("li.descr");
                    var div = li.find("div"); 
                    $("div.list").after('<div class="descr">'+div.html()+'</div>');
                    li.remove();
                    div_in_ul = false;
                }
                if (!div_in_ul)
                {
                    $this.find("ul.list li.active div#white_block").remove();
                    add_wit_blokje_to_active_li();
                }
            }
            else
            {
                if (!div_in_ul)
                {
                    var divdescription = $("div.descr");
                    var li_active = $this.find("ul.list li.active");
                    li_active.after('<li class="descr"><div class="div_in_ul">'+divdescription.html()+'</div></li>');
                    divdescription.remove();
                    div_in_ul = true;
                    /* Verwijder het witte blokje */
                    li_active.find("div#white_block").remove();
                }
            }
        }
        
        function add_wit_blokje_to_active_li()
	{
            var active_li = $this.find("ul.list li.active"); 
            var li_height = active_li.height(); 
            active_li.css("position", "relative").append('<div id="white_block" style="position:absolute; width:10px; height:'+li_height+'px; background: white; z-index:5; right:-5px; top: 0;"></div>');
	}
 
        // Greenify the collection based on the settings variable.
        return this.css({
            color: settings.color,
            backgroundColor: settings.backgroundColor
        });
 
    };
 
}( jQuery ));